Bug 1609817 - Using the Mast Head Org Switcher and the in page Organization Selection dropdown produces unpredictable results
Summary: Using the Mast Head Org Switcher and the in page Organization Selection dropd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Amir
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks: 1597082
TreeView+ depends on / blocked
 
Reported: 2018-07-30 14:27 UTC by Roxanne Hoover
Modified: 2019-11-05 23:30 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.35-1,tfm-rubygem-katello-3.7.0.39-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:06:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Flow One (92.48 KB, image/png)
2018-07-30 14:27 UTC, Roxanne Hoover
no flags Details
Flow Two (256.72 KB, image/png)
2018-07-30 14:27 UTC, Roxanne Hoover
no flags Details
Broke It (60.72 KB, image/png)
2018-07-30 14:28 UTC, Roxanne Hoover
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24480 None None None 2018-07-30 15:30:14 UTC
Red Hat Bugzilla 1635305 None CLOSED Subscriptions details page does not handle Org switch correctly. 2019-10-30 20:48:23 UTC

Internal Links: 1635305

Description Roxanne Hoover 2018-07-30 14:27:25 UTC
Created attachment 1471560 [details]
Flow One

Description of problem:

Certain flows, will allow the user to see subs across any Org. This seems to be originating from how the Select Organization page, and mast head Organization selector interact with one another.

Version-Release number of selected component (if applicable):


How reproducible:

------ FLOW ONE:

Steps to Reproduce:
1. Login. Currently on Default Org 
2. Navigation to Subs page, switch to org with no manifest.
3. Select Organization page appears. Use the Select Org drop down to select an org with no manifest. 
4. User Masthead and switch to Any Organization.

Actual results:

User is given the empty manifest state, directing them to import a manifest for All Organizations.

Expected results:
User should be directed to the Select Organization page.

Additional Info:
Export CSV is still clickable. Generates empty CSV.

------ FLOW TWO:

1. Login. Currently on Default Org 
2. Navigation to Subs page, switch to Any Organization in masthead.
3. Select Organization page appears. Use the Select Org drop down to select an org with a manifest (I selected Default Org).
4. User Masthead and switch to Any Organization.

Actual results:

Subs that were present for the Default Org now show for Any Organization. 

Expected results:
User should be directed to the Select Organization page.

----------

Other Notes:
Too much monkeying around between the mast head org switcher and the Select Organization page led to an error (see screenshot)

Comment 1 Roxanne Hoover 2018-07-30 14:27:43 UTC
Created attachment 1471561 [details]
Flow Two

Comment 2 Roxanne Hoover 2018-07-30 14:28:02 UTC
Created attachment 1471562 [details]
Broke It

Comment 4 Brad Buckingham 2018-07-30 14:58:16 UTC
Rox,

For the issue noted with comment 2, can you attach a foreman-debug or at least the /usr/share/foreman/production.log?  There may be additional data there to indicate where the error is.

Also, it may be worthwhile to break this out in to multiple bugzillas (at least for the last issue).

Comment 5 Walden Raines 2018-07-30 15:07:44 UTC
This shouldn't happen and we're happy to fix it but I don't think this is a blocker and I think we should target this for GA.  These flows are not typical and are the result of actively attempting to get into a bad state in the UI.  

What makes this a blocker?

Comment 6 Walden Raines 2018-07-30 15:30:13 UTC
Created redmine issue https://projects.theforeman.org/issues/24480 from this bug

Comment 7 Mike McCune 2018-07-30 15:33:49 UTC
Note: I was able to import a manifest with no org selected. It ended up landing in the prior org I had selected:

https://mmccune.fedorapeople.org/scratch/no-org-import.png

Comment 8 pm-sat@redhat.com 2018-08-07 16:12:42 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 9 pm-sat@redhat.com 2018-08-07 16:12:45 UTC
Upstream bug assigned to afeferku@redhat.com

Comment 10 pm-sat@redhat.com 2018-09-18 16:04:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24480 has been resolved.

Comment 12 Patrick Creech 2018-09-19 13:49:09 UTC
Amir,

This failed to cherrypick downstream, can you take a look?

Comment 16 Perry Gagne 2018-10-02 14:59:39 UTC
Verified in Sat 6.4 snap 25

I tried the flows that Rox suggested and they seem to work as expected. However, I noticed if you select a subscription to view details, then try to change the org you see similar problems. I filed bz 1635305 for this

Comment 17 Bryan Kearney 2018-10-16 19:06:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.